%define	name	abe
%define	version	1.0
%define	release	1mdk
%define	summary	Abe's Amazing Adventure!!

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.net/projects/abe
Source0:	%{name}-1_0.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-shared.patch.bz2
License:	Public Domain
Group:		Games/Arcade
Summary:	%{summary}
BuildRequires:	libSDL_mixer-devel XFree86-devel libnas-devel libsmpeg-devel libogg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A scrolling, platform-jumping, key-collecting, ancient pyramid
exploring game, vaguely in the style of similar games for the
Commodore+4. The game is intended to show young people all the
cool games they missed.

%prep
%setup -q -n %{name}-1_0
%patch0 -p0

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		CFLAGS="$RPM_OPT_FLAGS -DDATA_DIR=\""\\"\"%{_gamesdatadir}/%{name}/\\"\"""\"
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
%{__cp} -a {images,sounds,maps} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{summary}" \
		longtitle="%{summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL COPYING README
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-1mdk
- initial mdk release
